/*                               -*- Mode: C -*- 
 * cdbFileMem.h --- interface between CDB and FileMem utilities
 * Author          : Nicolas Anquetil
 * Created On      : Mon Feb 22 18:04:11 1999
 * Last Modified By: Nicolas Anquetil
 * Last Modified On: Mon Apr 26 21:19:31 1999
 */


# ifndef CDBFILEMEM_H
# define CDBFILEMEM_H

extern "C" {
# include <stdlib.h>
# include <stdio.h>    /* needed for `size_t' */
}

# include "c++_c.h"
# include "utilFileMem.h"

/* special functions for memory management (in the DB) */
void *cdbAlloc(size_t);
void *cdbReAlloc(void*,size_t);
void cdbFree(void*);

# endif
